Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1046078 - Review Request: stichwort - Simple library for named parameters in C++
Summary: Review Request: stichwort - Simple library for named parameters in C++
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: MartinKG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-23 14:27 UTC by Björn 'besser82' Esser
Modified: 2014-01-14 20:57 UTC (History)
2 users (show)

Fixed In Version: stichwort-0.0.3-0.2.git20131001.818fd25.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-02 21:58:10 UTC
Type: ---
mgansser: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Björn 'besser82' Esser 2013-12-23 14:27:11 UTC
Description:

  Stichwort is a simple tool for C++ keyword arguments.  The library
  provides rather clean and simple API for creating keywords and handling
  them as function parameters.


Koji Builds:

  el5:  https://koji.fedoraproject.org/koji/taskinfo?taskID=6327695
  el6:  https://koji.fedoraproject.org/koji/taskinfo?taskID=6327699
  el7:  https://koji.fedoraproject.org/koji/taskinfo?taskID=6327703
  F18:  https://koji.fedoraproject.org/koji/taskinfo?taskID=6327706
  F19:  https://koji.fedoraproject.org/koji/taskinfo?taskID=6327709
  F20:  https://koji.fedoraproject.org/koji/taskinfo?taskID=6327712
  Frh:  https://koji.fedoraproject.org/koji/taskinfo?taskID=6327716


Issues:

  fedora-review shows no obvious issues.  there might be some false
  positives from rpmlint.


FAS-User:

  besser82


Urls:

  Spec URL:  http://besser82.fedorapeople.org/review/stichwort.spec
  SRPM URL:  http://besser82.fedorapeople.org/review/stichwort-0.0.3-0.1.git20131001.818fd25.fc20.src.rpm


Thanks for review in advance!

Comment 1 MartinKG 2013-12-23 15:09:04 UTC
Package Review
==============
 
Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
 
 
===== MUST items =====
 
Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "BSD (2 clause)", "Unknown or generated". 13 files have
     unknown license.
 
     ---> License-tag is fine.
 
[-]: %build honors applicable compiler flags or justifies otherwise.
 
     ---> no binaries are build.  this is a template-style header-only lib.
 
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
 
===== SHOULD items =====
 
Generic:
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required  --->  el5 build needs that.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.
 
===== EXTRA items =====
 
Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.
 
 
Rpmlint
-------
Checking: stichwort-devel-0.0.3-0.1.git20131001.818fd25.fc21.noarch.rpm
          stichwort-0.0.3-0.1.git20131001.818fd25.fc21.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
 
 
 
 
Rpmlint (installed packages)
----------------------------
# rpmlint stichwort-devel
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'
 
 
 
Requires
--------
stichwort-devel (rpmlib, GLIBC filtered):
 
 
 
Provides
--------
stichwort-devel:
    stichwort
    stichwort-devel
 
 
 
Source checksums
----------------
https://github.com/lisitsyn/stichwort/archive/818fd25173be68047558691502af99fdca2a9d0c.tar.gz#/stichwort-0.0.3-git20131001-818fd25.tar.gz :
  CHECKSUM(SHA256) this package     : ed25c962e9425aae05036d72b1293d3d08acc6102a1ff35f75f30e3c50135ee1
  CHECKSUM(SHA256) upstream package : ed25c962e9425aae05036d72b1293d3d08acc6102a1ff35f75f30e3c50135ee1
http://googletest.googlecode.com/files/gtest-1.6.0.zip :
  CHECKSUM(SHA256) this package     : 5ec97df8e75b4ee796604e74716d1b50582beba22c5502edd055a7e67a3965d8
  CHECKSUM(SHA256) upstream package : 5ec97df8e75b4ee796604e74716d1b50582beba22c5502edd055a7e67a3965d8
 
 
Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1046078
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: BATCH, EPEL5, EXARCH, DISTTAG
 
 
===== Solution =====
 
"testsuite passes on koji-builds, dirs are properly owned, rpmlint is silent." && "APPROVED!"

Comment 2 Björn 'besser82' Esser 2013-12-23 15:17:29 UTC
Many thanks for the review, Martin!


New Package SCM Request
=======================
Package Name: stichwort
Short Description: Simple library for named parameters in C++
Owners: besser82
Branches: el5 el6 el7 f18 f19 f20
InitialCC:

Comment 3 Gwyn Ciesla 2013-12-23 15:27:14 UTC
Git done (by process-git-requests).

No new f18 branches are being created, and el7 doesn't exist yet.

Comment 4 Fedora Update System 2013-12-23 15:56:18 UTC
stichwort-0.0.3-0.1.git20131001.818fd25.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/stichwort-0.0.3-0.1.git20131001.818fd25.el5

Comment 5 Fedora Update System 2013-12-23 15:56:46 UTC
stichwort-0.0.3-0.1.git20131001.818fd25.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/stichwort-0.0.3-0.1.git20131001.818fd25.el6

Comment 6 Fedora Update System 2013-12-23 15:57:09 UTC
stichwort-0.0.3-0.1.git20131001.818fd25.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/stichwort-0.0.3-0.1.git20131001.818fd25.fc19

Comment 7 Fedora Update System 2013-12-23 15:57:35 UTC
stichwort-0.0.3-0.1.git20131001.818fd25.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/stichwort-0.0.3-0.1.git20131001.818fd25.fc20

Comment 8 Michael Schwendt 2013-12-23 17:58:59 UTC
If you could add -static Provides that would be great, since that would make it possible to track the package like a static library.

Comment 9 Björn 'besser82' Esser 2013-12-23 20:54:31 UTC
Sure, Michael!  I just forgot to bring that into the spec during creation.

Comment 10 Fedora Update System 2013-12-23 21:06:06 UTC
stichwort-0.0.3-0.2.git20131001.818fd25.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/stichwort-0.0.3-0.2.git20131001.818fd25.el5

Comment 11 Fedora Update System 2013-12-23 21:06:35 UTC
stichwort-0.0.3-0.2.git20131001.818fd25.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/stichwort-0.0.3-0.2.git20131001.818fd25.el6

Comment 12 Fedora Update System 2013-12-23 21:09:02 UTC
stichwort-0.0.3-0.2.git20131001.818fd25.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/stichwort-0.0.3-0.2.git20131001.818fd25.fc19

Comment 13 Fedora Update System 2013-12-23 21:09:06 UTC
stichwort-0.0.3-0.2.git20131001.818fd25.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/stichwort-0.0.3-0.2.git20131001.818fd25.fc19

Comment 14 Fedora Update System 2013-12-23 21:09:25 UTC
stichwort-0.0.3-0.2.git20131001.818fd25.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/stichwort-0.0.3-0.2.git20131001.818fd25.fc20

Comment 15 Fedora Update System 2013-12-24 17:56:59 UTC
Package stichwort-0.0.3-0.2.git20131001.818fd25.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing stichwort-0.0.3-0.2.git20131001.818fd25.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-12474/stichwort-0.0.3-0.2.git20131001.818fd25.el6
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2014-01-02 21:58:10 UTC
stichwort-0.0.3-0.2.git20131001.818fd25.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2014-01-02 22:04:26 UTC
stichwort-0.0.3-0.2.git20131001.818fd25.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2014-01-14 20:55:54 UTC
stichwort-0.0.3-0.2.git20131001.818fd25.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2014-01-14 20:57:34 UTC
stichwort-0.0.3-0.2.git20131001.818fd25.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.